Bug 1035801 - [abrt] control-center-3.10.2-2.fc20: _g_log_abort: Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)
Summary: [abrt] control-center-3.10.2-2.fc20: _g_log_abort: Process /usr/bin/gnome-con...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:050e8cfb7fdfb02e30677a6b301...
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-11-28 14:00 UTC by Mallikarjun
Modified: 2015-06-29 13:15 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:15:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.80 KB, text/plain)
2013-11-28 14:00 UTC, Mallikarjun
no flags Details
File: cgroup (172 bytes, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: core_backtrace (15.47 KB, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: dso_list (24.41 KB, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: environ (1.39 KB, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: maps (114.85 KB, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: open_fds (811 bytes, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details
File: var_log_messages (518 bytes, text/plain)
2013-11-28 14:01 UTC, Mallikarjun
no flags Details

Description Mallikarjun 2013-11-28 14:00:40 UTC
Description of problem:
I installed gnome-user-share to receive files from a bluetooth device. I enable receiving files in the Downloads directory. The control-center then crashes.

Version-Release number of selected component:
control-center-3.10.2-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-control-center sharing
crash_function: _g_log_abort
executable:     /usr/bin/gnome-control-center
kernel:         3.11.9-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 _gtk_builder_get_widget at cc-sharing-panel.c:55
 #6 cc_sharing_panel_master_switch_notify at cc-sharing-panel.c:103
 #12 g_object_notify_by_spec_internal at gobject.c:1141
 #13 g_object_notify_by_pspec at gobject.c:1245
 #14 gtk_switch_set_active at gtkswitch.c:951
 #15 gtk_switch_button_release at gtkswitch.c:247
 #16 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #17 _g_closure_invoke_va at gclosure.c:840
 #20 gtk_widget_event_internal at gtkwidget.c:7168

Comment 1 Mallikarjun 2013-11-28 14:00:56 UTC
Created attachment 830246 [details]
File: backtrace

Comment 2 Mallikarjun 2013-11-28 14:01:00 UTC
Created attachment 830247 [details]
File: cgroup

Comment 3 Mallikarjun 2013-11-28 14:01:07 UTC
Created attachment 830248 [details]
File: core_backtrace

Comment 4 Mallikarjun 2013-11-28 14:01:13 UTC
Created attachment 830249 [details]
File: dso_list

Comment 5 Mallikarjun 2013-11-28 14:01:18 UTC
Created attachment 830250 [details]
File: environ

Comment 6 Mallikarjun 2013-11-28 14:01:23 UTC
Created attachment 830251 [details]
File: limits

Comment 7 Mallikarjun 2013-11-28 14:01:31 UTC
Created attachment 830252 [details]
File: maps

Comment 8 Mallikarjun 2013-11-28 14:01:36 UTC
Created attachment 830253 [details]
File: open_fds

Comment 9 Mallikarjun 2013-11-28 14:01:44 UTC
Created attachment 830254 [details]
File: proc_pid_status

Comment 10 Mallikarjun 2013-11-28 14:01:49 UTC
Created attachment 830255 [details]
File: var_log_messages

Comment 11 satellitgo 2013-12-01 17:32:31 UTC
tried to use all setings/sharing in f20 gnome3.10.2 fully updated and it crashed

Comment 12 Igor Gnatenko 2013-12-04 13:37:19 UTC
got this bug today

Comment 13 Igor Gnatenko 2013-12-07 17:59:11 UTC
Steps to reproduce:
1. open G-C-C
2. Open Share
3. disable share (right-top button)

100% reproduce

Comment 14 Fedora Blocker Bugs Application 2013-12-07 18:00:10 UTC
Proposed as a Blocker for 20-final by Fedora user ignatenkobrain using the blocker tracking app because:

 Default application functionality 
All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. 

Sharing is basic functionality I think.

Comment 16 Kamil Páral 2013-12-09 17:03:54 UTC
(In reply to Igor Gnatenko from comment #13)
> Steps to reproduce:
> 1. open G-C-C
> 2. Open Share
> 3. disable share (right-top button)
> 
> 100% reproduce

I can reproduce this, crashes.

Comment 17 Mike Ruckman 2013-12-09 18:02:51 UTC
Discussed in 2013-12-09 Blocker Review meeting [1]. Voted as a RejectedBlocker and a AcceptedFreezeException. It's rejected as a blocker because this is considered beyond 'basic functionality', but accepted as an FE as the fix looks straightforward and would avoid a potential crasher bug in lives.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-09/

Comment 18 Mark Tinberg 2013-12-14 20:34:29 UTC
I was trying to toggle the Sharing button

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: _g_log_abort
executable:     /usr/bin/gnome-control-center
kernel:         3.11.9-300.fc20.i686+PAE
package:        control-center-3.10.2-2.fc20
reason:         Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 mastaiza 2013-12-26 06:51:05 UTC
Another user experienced a similar problem:

When you turn off sharing control-center falls

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: _g_log_abort
executable:     /usr/bin/gnome-control-center
kernel:         3.12.5-302.fc20.x86_64
package:        control-center-3.10.2-3.fc20
reason:         gnome-control-center killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Robin Bowes 2014-03-05 20:24:41 UTC
Did this fix ever get released?

Comment 22 Fedora End Of Life 2015-05-29 09:52:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2015-06-29 13:15:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.